import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Unsetbudget } from "../../domain/entities";
import { UnsetbudgetMongoModel, UnsetbudgetRawModel } from "../dtos/unsetbudget.dto";
export declare class UnsetbudgetMongoMapper extends MongoMapper<Unsetbudget, UnsetbudgetMongoModel> {
    constructor();
    toEntity(mongoModel: UnsetbudgetMongoModel): Unsetbudget;
}
export declare class UnsetbudgetRawMapper extends MapperImpl<Unsetbudget, UnsetbudgetRawModel> {
    fromEntity(entity: Unsetbudget): UnsetbudgetRawModel;
    toEntity(rawModel: UnsetbudgetRawModel): Unsetbudget;
}
