"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountWeightDelta = exports.Weightobsv = void 0;
class Weightobsv {
    accountWeightDeltas;
    dacId;
    id;
    constructor(accountWeightDeltas, dacId, id) {
        this.accountWeightDeltas = accountWeightDeltas;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            accountWeightDeltas: this.accountWeightDeltas,
            dacId: this.dacId,
        };
    }
    static create(accountWeightDeltas, dacId, id, rest) {
        const entity = new Weightobsv(accountWeightDeltas, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Weightobsv([], '');
    }
}
exports.Weightobsv = Weightobsv;
class AccountWeightDelta {
    account;
    weightDelta;
    weightDeltaQuorum;
    id;
    constructor(account, weightDelta, weightDeltaQuorum, id) {
        this.account = account;
        this.weightDelta = weightDelta;
        this.weightDeltaQuorum = weightDeltaQuorum;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            account: this.account,
            weightDelta: this.weightDelta,
            weightDeltaQuorum: this.weightDeltaQuorum,
        };
    }
    static create(account, weightDelta, weightDeltaQuorum, id, rest) {
        const entity = new AccountWeightDelta(account, weightDelta, weightDeltaQuorum, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new AccountWeightDelta('', 0, 0);
    }
}
exports.AccountWeightDelta = AccountWeightDelta;
