import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Candidates2 } from "../../domain/entities";
import { Candidates2MongoModel, Candidates2RawModel } from "../dtos/candidates2.dto";
export declare class Candidates2MongoMapper extends MongoMapper<Candidates2, Candidates2MongoModel> {
    constructor();
    toEntity(mongoModel: Candidates2MongoModel): Candidates2;
}
export declare class Candidates2RawMapper extends MapperImpl<Candidates2, Candidates2RawModel> {
    fromEntity(entity: Candidates2): Candidates2RawModel;
    toEntity(rawModel: Candidates2RawModel): Candidates2;
}
