import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Custodians1 } from "../../domain/entities";
import { Custodians1MongoModel, Custodians1RawModel } from "../dtos/custodians1.dto";
export declare class Custodians1MongoMapper extends MongoMapper<Custodians1, Custodians1MongoModel> {
    constructor();
    toEntity(mongoModel: Custodians1MongoModel): Custodians1;
}
export declare class Custodians1RawMapper extends MapperImpl<Custodians1, Custodians1RawModel> {
    fromEntity(entity: Custodians1): Custodians1RawModel;
    toEntity(rawModel: Custodians1RawModel): Custodians1;
}
