import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Newperiod } from "../../domain/entities";
import { NewperiodMongoModel, NewperiodRawModel } from "../dtos/newperiod.dto";
export declare class NewperiodMongoMapper extends MongoMapper<Newperiod, NewperiodMongoModel> {
    constructor();
    toEntity(mongoModel: NewperiodMongoModel): Newperiod;
}
export declare class NewperiodRawMapper extends MapperImpl<Newperiod, NewperiodRawModel> {
    fromEntity(entity: Newperiod): NewperiodRawModel;
    toEntity(rawModel: NewperiodRawModel): Newperiod;
}
