import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Paycpu } from "../../domain/entities";
import { PaycpuMongoModel, PaycpuRawModel } from "../dtos/paycpu.dto";
export declare class PaycpuMongoMapper extends MongoMapper<Paycpu, PaycpuMongoModel> {
    constructor();
    toEntity(mongoModel: PaycpuMongoModel): Paycpu;
}
export declare class PaycpuRawMapper extends MapperImpl<Paycpu, PaycpuRawModel> {
    fromEntity(entity: Paycpu): PaycpuRawModel;
    toEntity(rawModel: PaycpuRawModel): Paycpu;
}
