import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Runnewperiod } from "../../domain/entities";
import { RunnewperiodMongoModel, RunnewperiodRawModel } from "../dtos/runnewperiod.dto";
export declare class RunnewperiodMongoMapper extends MongoMapper<Runnewperiod, RunnewperiodMongoModel> {
    constructor();
    toEntity(mongoModel: RunnewperiodMongoModel): Runnewperiod;
}
export declare class RunnewperiodRawMapper extends MapperImpl<Runnewperiod, RunnewperiodRawModel> {
    fromEntity(entity: Runnewperiod): RunnewperiodRawModel;
    toEntity(rawModel: RunnewperiodRawModel): Runnewperiod;
}
