import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Withdrawcane } from "../../domain/entities";
import { WithdrawcaneMongoModel, WithdrawcaneRawModel } from "../dtos/withdrawcane.dto";
export declare class WithdrawcaneMongoMapper extends MongoMapper<Withdrawcane, WithdrawcaneMongoModel> {
    constructor();
    toEntity(mongoModel: WithdrawcaneMongoModel): Withdrawcane;
}
export declare class WithdrawcaneRawMapper extends MapperImpl<Withdrawcane, WithdrawcaneRawModel> {
    fromEntity(entity: Withdrawcane): WithdrawcaneRawModel;
    toEntity(rawModel: WithdrawcaneRawModel): Withdrawcane;
}
