"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContrConfig = exports.Updateconfige = void 0;
const aw_antelope_1 = require("@alien-worlds/aw-antelope");
class Updateconfige {
    newConfig;
    dacId;
    id;
    constructor(newConfig, dacId, id) {
        this.newConfig = newConfig;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            newConfig: this.newConfig,
            dacId: this.dacId,
        };
    }
    static create(newConfig, dacId, id, rest) {
        const entity = new Updateconfige(newConfig, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Updateconfige(ContrConfig.getDefault(), '');
    }
}
exports.Updateconfige = Updateconfige;
class ContrConfig {
    lockupasset;
    maxvotes;
    numelected;
    periodlength;
    shouldPayViaServiceProvider;
    initialVoteQuorumPercent;
    tokenSupplyTheshold;
    voteQuorumPercent;
    authThresholdHigh;
    authThresholdMid;
    authThresholdLow;
    lockupReleaseTimeDelay;
    requestedPayMax;
    id;
    constructor(lockupasset, maxvotes, numelected, periodlength, shouldPayViaServiceProvider, initialVoteQuorumPercent, tokenSupplyTheshold, voteQuorumPercent, authThresholdHigh, authThresholdMid, authThresholdLow, lockupReleaseTimeDelay, requestedPayMax, id) {
        this.lockupasset = lockupasset;
        this.maxvotes = maxvotes;
        this.numelected = numelected;
        this.periodlength = periodlength;
        this.shouldPayViaServiceProvider = shouldPayViaServiceProvider;
        this.initialVoteQuorumPercent = initialVoteQuorumPercent;
        this.tokenSupplyTheshold = tokenSupplyTheshold;
        this.voteQuorumPercent = voteQuorumPercent;
        this.authThresholdHigh = authThresholdHigh;
        this.authThresholdMid = authThresholdMid;
        this.authThresholdLow = authThresholdLow;
        this.lockupReleaseTimeDelay = lockupReleaseTimeDelay;
        this.requestedPayMax = requestedPayMax;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            lockupasset: this.lockupasset,
            maxvotes: this.maxvotes,
            numelected: this.numelected,
            periodlength: this.periodlength,
            shouldPayViaServiceProvider: this.shouldPayViaServiceProvider,
            initialVoteQuorumPercent: this.initialVoteQuorumPercent,
            tokenSupplyTheshold: this.tokenSupplyTheshold,
            voteQuorumPercent: this.voteQuorumPercent,
            authThresholdHigh: this.authThresholdHigh,
            authThresholdMid: this.authThresholdMid,
            authThresholdLow: this.authThresholdLow,
            lockupReleaseTimeDelay: this.lockupReleaseTimeDelay,
            requestedPayMax: this.requestedPayMax,
        };
    }
    static create(lockupasset, maxvotes, numelected, periodlength, shouldPayViaServiceProvider, initialVoteQuorumPercent, tokenSupplyTheshold, voteQuorumPercent, authThresholdHigh, authThresholdMid, authThresholdLow, lockupReleaseTimeDelay, requestedPayMax, id, rest) {
        const entity = new ContrConfig(lockupasset, maxvotes, numelected, periodlength, shouldPayViaServiceProvider, initialVoteQuorumPercent, tokenSupplyTheshold, voteQuorumPercent, authThresholdHigh, authThresholdMid, authThresholdLow, lockupReleaseTimeDelay, requestedPayMax, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new ContrConfig(aw_antelope_1.ExtendedAsset.getDefault(), 0, 0, 0, false, 0, 0, 0, 0, 0, 0, 0, aw_antelope_1.ExtendedAsset.getDefault());
    }
}
exports.ContrConfig = ContrConfig;
