import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Candidates } from "../../domain/entities";
import { CandidatesMongoModel, CandidatesRawModel } from "../dtos/candidates.dto";
export declare class CandidatesMongoMapper extends MongoMapper<Candidates, CandidatesMongoModel> {
    constructor();
    toEntity(mongoModel: CandidatesMongoModel): Candidates;
}
export declare class CandidatesRawMapper extends MapperImpl<Candidates, CandidatesRawModel> {
    fromEntity(entity: Candidates): CandidatesRawModel;
    toEntity(rawModel: CandidatesRawModel): Candidates;
}
