import { Entity, UnknownObject } from "@alien-worlds/aw-core";
export declare class Votes implements Entity {
    voter: string;
    proxy: string;
    candidates: string[];
    voteTimeStamp: Date;
    voteCount: number;
    id?: string;
    constructor(voter: string, proxy: string, candidates: string[], voteTimeStamp: Date, voteCount: number, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(voter: string, proxy: string, candidates: string[], voteTimeStamp: Date, voteCount: number, id?: string, rest?: UnknownObject): Votes;
    static getDefault(): Votes;
}
